cpw.mods.fml.common

## Class ILanguageAdapter.ScalaAdapter

- java.lang.Object
- - cpw.mods.fml.common.ILanguageAdapter.ScalaAdapter

- All Implemented Interfaces:
    ILanguageAdapter
  Enclosing interface:
    ILanguageAdapter

      public static class ILanguageAdapter.ScalaAdapter
      extends Object
      implements ILanguageAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ILanguageAdapter

      `ILanguageAdapter.JavaAdapter, ILanguageAdapter.ScalaAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILanguageAdapter.ScalaAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNewInstance(FMLModContainer container, Class<?> scalaObjectClass, ClassLoader classLoader)`
    `void` | `setProxy(Field target, Class<?> proxyTarget, Object proxy)`
    `boolean` | `supportsStatics()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ILanguageAdapter.ScalaAdapter

          public ILanguageAdapter.ScalaAdapter()

  - ### Method Detail

    - #### getNewInstance

          public Object getNewInstance(FMLModContainer container,
                              Class<?> scalaObjectClass,
                              ClassLoader classLoader)
                                throws Exception

      Specified by:
        `getNewInstance` in interface `ILanguageAdapter`
      Throws:
        `Exception`

    - #### supportsStatics

          public boolean supportsStatics()

      Specified by:
        `supportsStatics` in interface `ILanguageAdapter`

    - #### setProxy

          public void setProxy(Field target,
                      Class<?> proxyTarget,
                      Object proxy)
                        throws IllegalArgumentException,
                               IllegalAccessException,
                               NoSuchFieldException,
                               SecurityException

      Specified by:
        `setProxy` in interface `ILanguageAdapter`
      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `NoSuchFieldException`
        `SecurityException`